Pulp - Task #2989

Use Publication.created instead of Publisher.last_published and RepositoryVersion.created instead
of Importer.last_sync.

08/22/2017 09:42 PM - jortel@redhat.com

Status: MODIFIED Start date:

Priority: Normal Due date:

Assignee: daviddavis % Done: 100%
Category: Estimated time: 0:00 hour
Sprint/Milestone: 3.0

Platform Release: QA Contact:

Blocks Release: Complexity:

Backwards No Smash Test:

Incompatible:

Groomed: No Verified: No
Sprint Candidate: No Verification Required: No
Tags: Sprint:

Description

Use the Publication.created instead of Publisher.last_published. The Publisher.last_published may be removed if no longer needed.

Associated revisions

Revision 353e019e - 12/04/2018 04:25 PM - daviddavis

Removing last_published and last_synced

fixes #2989
https://pulp.plan.io/issues/2989

Revision 353e019e - 12/04/2018 04:25 PM - daviddavis

Removing last_published and last_synced

fixes #2989
https://pulp.plan.io/issues/2989

History

#1 - 08/22/2017 09:45 PM - jortel@redhat.com

- Description updated

#2 - 08/22/2017 10:39 PM - mhrivnak

Great observation. The "last_published" date in Pulp 2 was only needed because we didn't track the publications themselves. It also assumes that the
last publication still exists, but that cannot be guaranteed.

#3 - 01/23/2018 04:57 PM - jortel@redhat.com

- Subject changed from Use Publication.created instead of Publisher.last_published. to Use Publication.created instead of Publisher.last_published
and RepositoryVersion.created instead of Importer.last_sync.

Use Publication.created instead of Publisher.last_published and RepositoryVersion.created instead of Importer.last_sync. Let's remove the fields
from the Importer and Publisher and stop managing the redundant information.

#4 - 01/23/2018 04:58 PM - jortel@redhat.com

- Description updated

#5 - 11/29/2018 01:31 AM - amacdona@redhat.com
If this is going to be done, this should be a GA blocker, possibly an RC blocker

#6 - 12/03/2018 09:08 PM - daviddavis

- Checklist item [x] Remove Importer.last_sync set to Done
Checklist item [x] Remove Publisher.last_published set to Done

- Status changed from NEW to POST

- Assignee set to daviddavis

https://github.com/pulp/pulp/pull/3780

#7 - 12/04/2018 04:26 PM - daviddavis
- Status changed from POST to MODIFIED
- % Done changed from 0 to 100

Applied in changeset pulp|353e019ec8c10312a3ca0108689c86a920abb56b.

#8 - 04/25/2019 06:45 PM - daviddavis
- Sprint/Milestone set to 3.0

#9 - 04/26/2019 10:37 PM - bmbouter
- Tags deleted (Pulp 3)
